html {
  height: 100%;
}

body {
  width: 100%;
  height:100%;
  margin:0;
  padding:0;
  -webkit-user-select: none;
}

#ecran-blanc{
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0px;
  left: 0px;
  background-color: #fefefe;
  opacity: 0.5;
  z-index: 9999;
}

#commandes {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 10%;
  text-align: center;
  background-color: #e0d181;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 10px;
  border-left-width: 10px;
  border-right-width: 10px;
  border-bottom-width: 5px;
}

#reserve {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  height: 28%;
  background-color: #005384;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 5px;
  border-left-width: 10px;
  border-right-width: 10px;
  border-bottom-width: 5px;
}

#receptacle {
	display: flex;
  flex-wrap: wrap;
  align-items: end;
	height: 50%;
  width: 100%;
  background-image: url(img/prairie.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  box-sizing: border-box;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 5px;
  border-left-width: 10px;
  border-right-width: 10px;
  border-bottom-width: 5px;
}

#locomotive {
  background-image: url(img/locomotive.png);
  height: 100%;
  width: 12.7%;
  max-height: 188px;
  max-width: 202px;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  box-sizing: border-box;
}

#consigne {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 12%;
  background-color: #e0d181;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 5px;
  border-left-width: 10px;
  border-right-width: 10px;
  border-bottom-width: 10px;
}

.titre-consigne {
  font-weight: bold;
  text-align: center;
  margin-bottom: 10px;
  font-size: 2vmin;
}

#choix-niveau {
  z-index: 99999;
  height: 50%;
  width: 35%;
  min-width: 200px;
  position: fixed;
  left: 35%;
  top: 25%;
  justify-content: center;
  align-items: center;
}

#formulaire {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  box-sizing: border-box;
  border: solid black 1px;
  background-color:#ffe2cd;
  padding: 0 2% 2% 2%;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.5), 0 6px 20px 0 rgba(0,0,0,0.2);
}

.btform {
  text-align: center;
}

.titre {
  font-weight: bold;
  font-size: 1.2em;
}

.espace, .espace-large {
  display: block;
  height: 100%;
  max-height: 188px;
}

.espace {
  width: 1.07%;
  background-image: url(img/attache.png);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.espace-large {
  background-image: none;
  width: 10%;
}

.draggable {
  display: flex;
  justify-content: center;
  background-image: url(img/wagon.png);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  height: 100%;
  width: 10%;
  max-height: 188px;
  max-width: 159px;
}

.div-texte {
  position: relative;
  height: 2.4vmin;
  top: 60%;
  font-size: 2vmin;
  color: white;
  font-weight: bold;
  background-color: black;
  padding: 0 5px 0 5px;
}

#reserve .draggable {
  margin-left: 1%;
}

#receptacle .draggable {
  height: 100%;
}

.draggable:hover {
  cursor: pointer;
}

.invisible {
  display: none;
}

.visible {
  display: block;
}

.centre {
  text-align: center;
}

@media screen and (max-aspect-ratio: 14/11)  {
  .div-texte {
    top: 56%;
  }
}
@media screen and (max-aspect-ratio: 34/43)  {
  .div-texte {
    top: 54%;
  }
}
@media screen and (min-aspect-ratio: 13/6)  {
  .div-texte {
    font-size: 3vmin;
    height: 4vmin;
  }
}
@media screen and (min-aspect-ratio: 23/6)  {
  #consigne {
    display: none;
  }
  #locomotive {
    width: 10.3%;
  }
  .draggable {
    width: 8%;
  }
  .espace {
    width: 0.86%
  }
}
